Bug 593015 - Missing documentation for cluster schema
Summary: Missing documentation for cluster schema
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cluster   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-17 15:44 UTC by Lon Hohberger
Modified: 2016-04-26 14:21 UTC (History)
8 users (show)

Fixed In Version: cluster-3.0.12-13.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 19:59:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lon Hohberger 2010-05-17 15:44:53 UTC
Description of problem:

We ship a partially annotated schema, but there is no documentation supporting it in /usr/share/doc/cluster.  It's important for users to have not only the schema, but a readable magic decoder ring to go with the schema.

Translating the schema to html/man page format would be extremely beneficial to both users and documentation writers.

Comment 1 RHEL Product and Program Management 2010-05-17 15:45:24 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Lon Hohberger 2010-06-25 14:09:32 UTC
Example:

http://people.redhat.com/lhh/cluster.html

Comment 8 Lon Hohberger 2010-08-24 17:31:06 UTC
The auto-generated HTML is here after you install the cman rpm:

/usr/share/doc/cman-3.0.12/cluster_conf.html

Comment 9 Lon Hohberger 2010-08-24 17:34:11 UTC
The current annotated version of cluster_conf.html for RHEL6 is available here as updates are applied:

http://git.fedorahosted.org/git/?p=cluster.git;a=blob_plain;f=doc/cluster_conf.html;hb=RHEL6

Comment 12 releng-rhel@redhat.com 2010-11-10 19:59:13 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.